/* nv-ids.h */

#ifndef __NV_PCI_IDS_H__
#define __NV_PCI_IDS_H__


/* nvidia id */

const char NVRM_ID[] = "nvidia id: NVIDIA NVdriver Kernel Module  1.0.2313  Tue Nov 27 12:01:24 PST 2001";

const char *pNVRM_ID = NVRM_ID + 11;

typedef struct {unsigned long id; const char *name;} _nv_pci_ids;

static _nv_pci_ids pciIds[] =
{
  { 0x0020, "RIVA TNT" },
  { 0x0028, "RIVA TNT2/TNT2 Pro" },
  { 0x0029, "RIVA TNT2 Ultra" },
  { 0x002C, "Vanta" },
  { 0x002D, "RIVA TNT2 Model 64/Model 64 Pro" },
  { 0x00A0, "Aladdin TNT2" },
  { 0x0100, "GeForce 256" },
  { 0x0101, "GeForce DDR" },
  { 0x0103, "Quadro" },
  { 0x0110, "GeForce2 MX/MX 400" },
  { 0x0111, "GeForce2 MX 100/200" },
  { 0x0112, "GeForce2 Go" },
  { 0x0113, "Quadro2 MXR/Quadro2 Go" },
  { 0x0150, "GeForce2 GTS/GeForce2 Pro" },
  { 0x0151, "GeForce2 Ti" },
  { 0x0152, "GeForce2 Ultra" },
  { 0x0153, "Quadro2 Pro" },
  { 0x0170, "NV17" },
  { 0x0171, "NV17" },
  { 0x0172, "NV17" },
  { 0x0173, "NV17" },
  { 0x0174, "NV17M" },
  { 0x0175, "NV17M" },
  { 0x0178, "NV17GL" },
  { 0x017A, "NV17GL" },
  { 0x017B, "NV17GL" },
  { 0x017C, "NV17M-GL" },
  { 0x01A0, "GeForce2 Integrated GPU" },
  { 0x0200, "GeForce3" },
  { 0x0201, "GeForce3 Ti 200" },
  { 0x0202, "GeForce3 Ti 500" },
  { 0x0203, "Quadro DCC" },
  { 0x00, NULL }
};

#endif /* __NV_PCI_IDS_H__*/

